# -*- coding: utf-8 -*-
"""
Created on Fri Jun 21 11:19:12 2024

@author: nash29
"""

import numpy as np
from matplotlib import pyplot as plt
import scipy

#from PIL import Image
#with Image.open('test_image.png') as im:
#                im.show()

plt.rcParams["figure.figsize"] = [10, 10]
plt.rcParams["figure.autolayout"] = True

im = plt.imread("PSI-8.png")
im_rotated = scipy.ndimage.rotate(im, 90)
height_pixels = im_rotated.shape[0]
width_pixels = im_rotated.shape[1]

# Fill these in after checking the scaling is correct.
scaling_factor = 208
height_scaled = height_pixels/scaling_factor
width_scaled = width_pixels/scaling_factor

fig, ax = plt.subplots()
ax.imshow(im_rotated, extent=[0, width_scaled, 0, height_scaled])

# Origin
x_0 = 3.315
y_0 = 1.786

# Opposite side of bubble to origin (top in figure)
x_1 = x_0
y_1 = 3.15

roof_x = np.linspace(x_0,x_1,100)
roof_y = np.linspace(y_0,y_1,100)
ax.plot(roof_x, roof_y, ls='dotted', linewidth=2, color='red')

max_radius = (y_1-y_0)/2.0
print('max_radius = ' + str(max_radius))

#x_lim = 170

a = 8
b = 5

total_range = list(np.linspace(0,1,1000))
x_range = []
y_range = []
for i in total_range:
    if a*(i**b) < max_radius:
        x_range.append(i)
        y_range.append(a*(i**b))

x_range_trans = [x_0 + i for i in x_range]
y_range_trans = [y_0 + i for i in y_range]

x = max(x_range)
print('max bubble thickness: ' + str(x))
v_curve = 3.14*(a**2)*(x**((2*b)+1))/((2*b)+1)
v_cyl = 3.14*(max_radius**2)*x
print('v_cyl = ' + str(v_cyl))
v_bub = v_cyl - v_curve

ax.plot(x_range_trans, y_range_trans, ls='dotted', linewidth=2, color='red')
ax.annotate(v_bub, xy=(50/scaling_factor,50/scaling_factor), color='red')
plt.show()

