# Open Data supplementing Nash et al. (2024) Neutron imaging of high-temperature Na-Zn Cells: implications for cell design and fabrication

## content of the archive

<pre>
├── Bubble_Volume_Estimations
│   ├── BubbleVols_v3a.py
│   ├── BubbleVols_v3b.py
│   ├── Bubble_Volume_Estimation.txt
│   ├── PSI-1_Measurement.png
│   ├── PSI-3_Measurement.png
│   ├── PSI-5_Measurement.png
│   ├── PSI-6_Measurement.png
│   ├── PSI-7_Measurement.png
│   └── PSI-8_Measurement.png
├── Cell_08_02.mp4
├── PSI_Cell_3.png
├── PSI_Cell_7.png
├── Readme.md
├── Self-discharge.py
└── Volume_and_Capacity_Calcs.xlsx
</pre>

## comments on single files

- Python scripts to determine the bubble volumes:
  - BubbleVols_v3a.py ... calibration file, needed for scaling
  - BubbleVols_v3b.py ... performs the volume integration
- Bubble_Volume_Estimation.txt ... resulting volumes
- PSI-?_Measurement.png ... image files with user defined bubble contours
- Cell_08_02.mp4 ... video showing salt decomposition due to applied 
  voltages outside the electrochemical window of the salt mixture
- PSI_Cell_?.png ... raw images for Fig. 2 of the publication
- Self-discharge.py ... script for generating Fig. 3
- Volume_and_Capacity_Calcs.xlsx ... volume changes upon
  crystallisation of various binary salt mixtures including a cell
  capacity estimation

